#
# spec file for package xorg-x11-driver-video
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           xorg-x11-driver-video
BuildRequires:  freeglut-devel libdrm-devel
%ifnarch s390 s390x
BuildRequires:  xorg-x11-sdk
%endif
Url:            http://xorg.freedesktop.org/
License:        X11/MIT
Group:          System/X11/Servers/XF86_4
AutoReqProv:    on
Version:        6.9.0
Release:        46.61.15
Summary:        Various X.Org video drivers
Requires:       xorg-x11-server xorg-x11-driver-video-radeon
Provides:       xorg-x11-server:/usr/X11R6/%{_lib}/modules/drivers/sis_drv.o
Source:         ast-060315.tar.gz
Source1:        README.SUSE
Source2:        HALlib-4.1.tar.gz
Source3:        xorg-x11-ati-6.9.0.tar.bz2
Source4:        xorg-x11-i810-6.9.0.tar.bz2
Source5:        xorg-x11-mga-6.9.0.tar.bz2
Source6:        xorg-x11-nv-6.9.0.tar.bz2
Source7:        xorg-x11-via-6.9.0.tar.bz2
Source8:        xorg-x11-sis-6.9.0.tar.bz2
Source9:        xorg-x11-ati-6.8.2suse100.tar.bz2
Source10:       xorg-x11-ati-1_0_branch-060425.tar.bz2
Source11:       xf86-video-i810-X11R7.1-1.6.0.tar.bz2
Source12:       randrstr.h
Patch:          ps_nv.diff
Patch1:         p_64bit-clean.diff
Patch2:         p_radeon-memmap.diff
Patch3:         xorg-x11-ati-6.8.2suse100.diff
Patch4:         p_radeon-memmap-fix.diff
Patch5:         i810_945GM.patch
Patch6:         nv-060122.diff
Patch7:         avoid_random_bogus_dma.diff
Patch8:         radeon-memmap-7.0-2.diff
Patch9:         p_bug148696.diff
Patch10:        radeon-memmap-7.0-3.diff
Patch11:        rn50-pixelclock-limit.diff
Patch12:        p_mga.diff
Patch13:        xf86-video-ati-disable-mc-clients.diff
Patch14:        radeon_dell.diff
Patch15:        radeon-xrandr-dotclock.diff
Patch16:        nv-coverity-868_869.diff
Patch17:        xorg-x11-ati-1_0_branch-060425.diff
Patch18:        rn50_init_crtc_regs.diff
Patch19:        mga-g200se_pci.diff
Patch20:        nv-060426.diff
Patch21:        radeon_bios.diff
Patch22:        rn50_disable-render-accel.diff
Patch23:        xf86-video-i810-X11R7.1-1.6.0.diff
Patch24:        mga-g200se_pci-fix.diff
Patch25:        nv-060616.diff
Patch26:        radeon_rn50_memmap-sle10.diff
Patch27:        radeon_rn50_memmap.diff
Patch28:        mga-g200se_pci-misaligned.diff
Patch29:        mga-g200se_pcie-disable-mtrr.diff
Patch30:        ati-mach64-nocpio-loadbios.diff
Patch31:        bug-243540-console-switch-lockup.diff
Patch32:        xf86-video-nv-corruption-cursor.diff
Patch33:        mga-suse_xorg_72_1-0001.diff
Patch34:        mga-suse_xorg_72_2-0001.diff
Patch35:        mga-xorg_patch_with_24_without_15.diff
Patch36:        mga-g200se-24bit-packed.diff
Patch37:        mga-g200ev_wb.diff
Patch38:        wb_pll_fix.patch
Patch39:        mem_check.patch
Patch40:        g200wb_pll.patch
Patch41:        mga-g200wb_blackscreen.patch
Patch42:        g200wb_pll2.patch
Patch43:        g200wb_access.patch.sles10
Patch44:        g200wb_memcount.patch.sles10
Patch45:        g200_countram_and_wbmaxpll.patch
Patch46:        xf86-video-mga-commit-5d4144e.diff
Patch47:        mga-g200eh.diff
Patch48:        mga-g200ev-16m.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExcludeArch:    s390 s390x
%define BUILD_ALL 1
%define ATI_SUSE100 1
%define ATI_1_0_BRANCH 1

%description
This package includes the following X.Org video drivers:

- ATI (ati, r128, radeon)

- Intel (i810)

- Matrox (mga)

- NVIDIA (nv)

- SIS (sis)

- VIA (via)



Authors:
--------
        Egbert Eich
        Keith Packard
        Roland Mainz
        Alan Coopersmith
        Russ Blaine
        Alexander Gottwald
        Alan Hourihane
        Chisato Yamauchi
        Eric Anholt
        Nolan Leake
        Stefan Dirsch
        Rik Faith
        Daniel Berrange
        Matthieu Herrb
        John Heasley
        Ryan Underwood
        Alex Deucher
        Ty Sarna
        Torrey T Lyons Darwin
        Stuart Kreitman
        Kevin E. Martin
        Greg Parker
        John Harper
        Adam Jackson
        Peter Kunzman
        Aaron Plattner
        Chisato Yamauchi
        Michel Daenzer
        Kristian Hgsberg
        Sren Sandmann
        Owen Taylor
        Mike A. Harris
        Ivan Kokshaysky
        Bryan Stine
        Guy Martin
        Paul Anderson
        Yu Shao
        David Dawes
        Harold L. Hunt II
        Andreas Luik
        Travis Tilley
        Ryan Lortie
        Ryan Breen
        Deron Johnson
        Ronny Vindenes
        Jim Gettys

%ifnarch s390 s390x
%if %BUILD_ALL

%package nvidia
License:        X11/MIT
Summary:        NVIDIA video dummy driver
Group:          System/X11/Servers/XF86_4
Requires:       xorg-x11-server xorg-x11-driver-video
Provides:       XFree86-server-glx:/usr/X11R6/%{_lib}/modules/drivers/nvidia_drv.o xorg-x11-server-glx:/usr/X11R6/%{_lib}/modules/drivers/nvidia_drv.o
AutoReqProv:    on

%description nvidia
This package includes the NVIDIA video dummy driver, which is identical
to the X.Org nv video driver.



Authors:
--------
    Mark Vojkovich

%endif
%endif

%prep
%if %ATI_SUSE100
%setup -n xc/programs/Xserver/hw/xfree86/drivers -b3 -b4 -b5 -b6 -b7 -b8 -b9 -a11
pushd ati-6.8.2suse100
%patch3
%ifarch ia64
%patch9 -p1
%endif
popd
%else
%setup -n xc/programs/Xserver/hw/xfree86/drivers -b3 -b4 -b5 -b6 -b7 -b8
%endif
%patch -p5
%patch1 -p5
%ifnarch ppc64 ia64
#%patch2 -p6
#%patch4
pushd ati
#%patch8 -p2
%patch10 -p2
%patch26
#%patch13 -p1
%patch14 -p0
popd
%endif
%patch5 -p6
pushd nv
%patch6
%patch16
%patch32 -p2
popd
%patch7
%ifarch ia64
%patch9
%endif
pushd ati
%patch11 -p1
popd
%patch12
%patch15
%patch18
%patch19
%patch24
%patch21 -p6
pushd ati
%patch22
popd
tar xvzCf mga $RPM_SOURCE_DIR/HALlib-4.1.tar.gz
mkdir ast
tar xvzCf ast $RPM_SOURCE_DIR/ast-060315.tar.gz
%if %ATI_1_0_BRANCH
mkdir ati-1_0_branch
tar xvjCf ati-1_0_branch $RPM_SOURCE_DIR/xorg-x11-ati-1_0_branch-060425.tar.bz2
pushd ati-1_0_branch
 cp ../ati/Imakefile .
 patch -p0 < $RPM_SOURCE_DIR/radeon_dell.diff
 patch -p1 < $RPM_SOURCE_DIR/radeon-xrandr-dotclock.diff 
 patch -p0 < $RPM_SOURCE_DIR/xorg-x11-ati-1_0_branch-060425.diff
 patch -p1 < $RPM_SOURCE_DIR/rn50_init_crtc_regs.diff
 patch -p7 < $RPM_SOURCE_DIR/radeon_bios.diff
 patch -p0 < $RPM_SOURCE_DIR/rn50_disable-render-accel.diff
 patch -p2 < $RPM_SOURCE_DIR/radeon_rn50_memmap.diff
%ifarch ia64
 patch -p1 < $RPM_SOURCE_DIR/p_bug148696.diff
%endif
popd
pushd nv
%patch20
%patch25
popd
%endif
pushd xf86-video-i810-X11R7.1-1.6.0/src
 cp ../../i810/Imakefile .
 cp $RPM_SOURCE_DIR/randrstr.h .
 patch -p0 < $RPM_SOURCE_DIR/xf86-video-i810-X11R7.1-1.6.0.diff
popd
%patch28
pushd mga
%patch29 -p2
%patch33
%patch34
%patch35 -p2
%patch36
%patch37 -p1
%patch38 -p0
%patch39 -p0
%patch40 -p3
%patch41 -p1
%patch42 -p3
%patch43 -p1
%patch44 -p1
%patch45 -p1
%patch46 -p2
%patch47 -p1
%patch48 -p2
popd
%patch30 -p6
%patch31 -p5

%build
%ifnarch s390 s390x
%if %BUILD_ALL
for dir in xf86-video-i810-X11R7.1-1.6.0/src $(ls|grep -v xf86-video-i810-X11R7.1-1.6.0); do
%else
for dir in $(ls|grep ast); do
%endif
  test "$dir" == "ati" && continue
%ifarch ppc64
  test "$dir" == "xf86-video-i810-X11R7.1-1.6.0/src" && continue
%endif
  pushd $dir
    xmkmf
    make CDEBUGFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing -I/usr/X11R6/%{_lib}/Server/include -I/usr/X11R6/%{_lib}/Server/include/extensions -I/usr/X11R6/%{_lib}/Server/drivers/ati -I/usr/include/drm" PREPROCESSMANPAGES="true"
  popd
done
%endif

%install
%ifnarch s390 s390x
%if %BUILD_ALL
for dir in xf86-video-i810-X11R7.1-1.6.0/src $(ls|grep -v  xf86-video-i810-X11R7.1-1.6.0); do
%else
for dir in $(ls|grep ast); do
%endif
  test "$dir" == "ati" && continue
%ifarch ppc64
  test "$dir" == "xf86-video-i810-X11R7.1-1.6.0/src" && continue
%endif
  pushd $dir
    make install DESTDIR=$RPM_BUILD_ROOT
    make install.man DESTDIR=$RPM_BUILD_ROOT
  popd
done
%if %BUILD_ALL
ln -snf nv_drv.so \
        $RPM_BUILD_ROOT/usr/X11R6/%{_lib}/modules/drivers/nvidia_drv.so
%endif
%endif
cp $RPM_SOURCE_DIR/README.SUSE .
%ifnarch s390 s390x
pushd $RPM_BUILD_ROOT/usr/X11R6/%{_lib}/modules
  find . -name "*.so" | xargs --no-run-if-empty chmod 755
popd
%endif
mkdir -p $RPM_BUILD_ROOT/usr/share/sax/sysp/maps/update/
cat >    $RPM_BUILD_ROOT/usr/share/sax/sysp/maps/update/Identity.map.%name << EOF
NAME=Matrox&DEVICE=G200 SE A (PCI)&VID=0x102b&DID=0x0522&SERVER=mga&EXT=&OPT=NoHal&RAW=&PROFILE=&SCRIPT3D=&PACKAGE3D=&FLAG=DEFAULT
NAME=Matrox&DEVICE=G200 SE B (PCI)&VID=0x102b&DID=0x0524&SERVER=mga&EXT=&OPT=NoHal&RAW=&PROFILE=&SCRIPT3D=&PACKAGE3D=&FLAG=DEFAULT
NAME=Matrox&DEVICE=G200 EV&VID=0x102b&DID=0x0530&SERVER=mga&EXT=&OPT=NoHal&RAW=&PROFILE=&SCRIPT3D=&PACKAGE3D=&FLAG=DEFAULT
NAME=Matrox&DEVICE=G200 eW&VID=0x102b&DID=0x0532&SERVER=mga&EXT=&OPT=NoHal&RAW=&PROFILE=&SCRIPT3D=&PACKAGE3D=&FLAG=DEFAULT
NAME=Matrox&DEVICE=G200 eH&VID=0x102b&DID=0x0533&SERVER=mga&EXT=&OPT=NoHal&RAW=&PROFILE=&SCRIPT3D=&PACKAGE3D=&FLAG=DEFAULT
EOF
mkdir -p  $RPM_BUILD_ROOT/usr/share/sax/api/data/cdb/
cat >     $RPM_BUILD_ROOT/usr/share/sax/api/data/cdb/Cards.%name << EOF
Matrox: G200 SE A (PCI) {
 Driver = mga
 Flag = DEFAULT
}
Matrox: G200 SE B (PCI) {
 Driver = mga
 Flag = DEFAULT
}
Matrox: G200 EV {
 Driver = mga
 Flag = DEFAULT
}
Matrox: G200 eW {
 Driver = mga
 Flag = DEFAULT
}
Matrox: G200 eH {
 Driver = mga
 Flag = DEFAULT
}
EOF
mkdir -p $RPM_BUILD_ROOT/var/lib/hardware/ids
cat >    $RPM_BUILD_ROOT/var/lib/hardware/ids/%name << EOF
 vendor.id              pci 0x102b
&device.id              pci 0x0522
+device.name            G200 SE A
+driver.xfree           4|mga
 vendor.id              pci 0x102b
&device.id              pci 0x0524
+device.name            G200 SE B
+driver.xfree           4|mga
 vendor.id              pci 0x102b
&device.id              pci 0x0530
+device.name            G200 EV
+driver.xfree           4|mga
 vendor.id              pci 0x102b
&device.id              pci 0x0532
+device.name            G200 eW
+driver.xfree           4|mga
 vendor.id              pci 0x102b
&device.id              pci 0x0533
+device.name            G200 eH
+driver.xfree           4|mga
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
if ls var/lib/hardware/ids/* &> /dev/null; then
  cat var/lib/hardware/ids/* > var/lib/hardware/hd.ids
fi
exit 0

%postun
if [ "$1" -eq 0 ]; then
  if ls var/lib/hardware/ids/* &> /dev/null; then
    cat  var/lib/hardware/ids/* > var/lib/hardware/hd.ids
  else
    rm -f var/lib/hardware/hd.ids
  fi
fi
exit 0

%files
%defattr(-,root,root)
%doc README.SUSE
%ifnarch s390 s390x
%dir /usr/X11R6/%{_lib}/modules/drivers/
/usr/X11R6/%{_lib}/modules/drivers/ast_drv.so
%if %BUILD_ALL
%dir /usr/share/sax
%dir /usr/share/sax/api
%dir /usr/share/sax/api/data
%dir /usr/share/sax/api/data/cdb
%dir /usr/share/sax/sysp
%dir /usr/share/sax/sysp/maps
%dir /usr/share/sax/sysp/maps/update
%dir /var/lib/hardware
%dir /var/lib/hardware/ids
/usr/X11R6/man/man4/i810.4.gz
/usr/X11R6/man/man4/mga.4.gz
/usr/X11R6/man/man4/nv.4.gz
/usr/X11R6/man/man4/sis.4.gz
/usr/X11R6/man/man4/via.4.gz
/usr/X11R6/%{_lib}/modules/drivers/i810_drv.so
%ifnarch ppc64
/usr/X11R6/%{_lib}/modules/drivers/i810xorg71_drv.so
%endif
/usr/X11R6/%{_lib}/modules/drivers/mga_drv.so
%ifarch %ix86
/usr/X11R6/%{_lib}/modules/drivers/mga_hal_drv.so
%endif
/usr/X11R6/%{_lib}/modules/drivers/nv_drv.so
%if %{ATI_SUSE100}
/usr/X11R6/%{_lib}/modules/drivers/atimiscold_drv.so
/usr/X11R6/%{_lib}/modules/drivers/atiold_drv.so
/usr/X11R6/%{_lib}/modules/drivers/r128old_drv.so
/usr/X11R6/%{_lib}/modules/drivers/radeonold_drv.so
%endif
%if %ATI_1_0_BRANCH
/usr/X11R6/%{_lib}/modules/drivers/atimisc10b_drv.so
/usr/X11R6/%{_lib}/modules/drivers/ati10b_drv.so
/usr/X11R6/%{_lib}/modules/drivers/r12810b_drv.so
/usr/X11R6/%{_lib}/modules/drivers/radeon10b_drv.so
%endif
/usr/X11R6/%{_lib}/modules/drivers/riva128.so
/usr/X11R6/%{_lib}/modules/drivers/sis_drv.so
/usr/X11R6/%{_lib}/modules/drivers/via_drv.so
/usr/X11R6/%{_lib}/modules/multimedia/
/usr/share/sax/api/data/cdb/Cards.%name
/usr/share/sax/sysp/maps/update/Identity.map.%name
/var/lib/hardware/ids/%name
%endif
%endif
%ifnarch s390 s390x
%if %BUILD_ALL

%files nvidia
%defattr(-,root,root)
/usr/X11R6/%{_lib}/modules/drivers/nvidia_drv.so
%endif
%endif

%changelog
* Fri Jan 14 2011 sndirsch@novell.com
- mga-g200ev-16m.patch
  * Changed probe_size value to detect up to 16Megs of video ram
    on G200eV. (bnc #664401)
* Tue Dec 14 2010 sndirsch@novell.com
- added missing sax/hwinfo meta data for MGA g200eH support
  (bnc #659263)
* Thu Oct 21 2010 sndirsch@novell.com
- xf86-video-mga-commit-5d4144e.diff
  * Removed DDC1 support for G200eW (requested by Matrox, i.e.
    Yannick Heneault <yheneaul@matrox.com>)
- mga-g200eh.diff
  * adds g200eh support (bnc #644296, FATE #309652)
* Tue Aug 18 2009 sndirsch@suse.de
- g200_countram_and_wbmaxpll.patch
  * backported missing hunks for upstream commits
  - c955c1fdabfe0449369d0ccf31ab7e6ef3d7bffe
  * fixed memory count rountine for G200eW to detect up to
    16Megs on X server without libpciaccess.
  - 70681daa0392e5fa413f888d92a30ddacdcc9c8c
  * Fixed G200SE PLL selection routine of m,n,p.
  - 19c44d537e982fcf0fe2dc9f3273ac6166302510
  * Fixed bad vga access in memory count routine.
    by Matrox (Yannick Heneault)
* Mon Apr  6 2009 ro@suse.de
- buildfix: added excludearch
* Sat Mar 28 2009 sndirsch@suse.de
- g200wb_memcount.patch.sles10 (FATE #306191)
  * detect up to 16Megs on G200eW
* Fri Mar 13 2009 sndirsch@suse.de
- g200wb_access.patch.sles10 (FATE #306191)
  * fixes mga IP products (Yannick Heneault)
* Wed Jan  7 2009 sndirsch@suse.de
- g200wb_pll2.patch (FATE #306191)
  * improves stability over multiple mode switch (Yannick Heneault)
* Tue Dec  2 2008 mhopf@suse.de
- mga-g200wb_blackscreen.patch (FATE #306191)
  * another fix by Matrox (Yannick Heneault)
* Fri Nov  7 2008 sndirsch@suse.de
- g200wb_pll.patch (FATE #306191)
  * another fix by Matrox (Yannick Heneault)
* Fri Oct 17 2008 sndirsch@suse.de
- mem_check.patch (FATE #306191)
  * fixes the memory bandwith check to use 318.77Mhz for Winbond
    to allow modes like 1280x1024x32@60Hz to pass
  * added eW and EV suffixes to g200 identifier string table
* Wed Oct  8 2008 sndirsch@suse.de
- wb_pll_fix.patch
  * fixed winbond/nuvoton min pll clock to correct value (18.75Mhz)
    (FATE #306191)
* Fri Aug 22 2008 sndirsch@suse.de
- "G200 BW" --> "G200 eW" in sax2/hwinfo meta data due to marketing
  reasons (FATE #306191)
* Fri Jul 25 2008 sndirsch@suse.de
- mga-g200ev_wb.diff
  * adds support for Matrox G200EV/G200WB requested by Dell and
    provided by Matrox (FATE #306191)
* Thu Oct 11 2007 sndirsch@suse.de
- no longer build regular ATI driver; replaced by
  xorg-x11-driver-video-radeon package, which has been added to
  Requires now
* Wed Aug 15 2007 sndirsch@suse.de
- ati-mach64-nocpio-loadbios.diff:
  * The VBIOS isn't loaded without CPIO as int10 execution of BIOS
    code would trigger PIO access. Thus the driver doesn't bother
    to load VBIOS which contains tables with information on the
    hardware. Without those tables default values are used which
    turn out to be wrong for this particular hardware. This patch
    loads the BIOS code separately in the NOCPIO case so the BIOS
    tables can be used. (Bug #202341)
- obsoletes the additional "atiwcpio" driver (see Bug #243074)
* Thu Jul 19 2007 sndirsch@suse.de
- mga-suse_xorg_72_[12]-0001.diff
  * update to support new chips from ServerEngines, with graphics
    portion is based on G200 GPU (Bug #292713)
- mga-xorg_patch_with_24_without_15.diff
  * update to mga-suse_xorg_72_[12]-0001.diff for the new chips
    from ServerEngines which re-enables support for 24bit color
    depth on a 24bit framebuffer but which disables support for
    15bit colordepths (Bug #292713)
- mga-g200se-24bit-packed.diff:
  * always use 24bit packed framebuffer on G200 SE unless
    Overlay option is set (Bug #292713)
- updated SaX2/hwinfo data for G200 SE cards (Bug #292713)
* Wed Jun 13 2007 sndirsch@suse.de
- xf86-video-nv-corruption-cursor.diff:
  * fix GXxor corruption on nv4x (Bug #283784, #246421)
* Thu Apr 26 2007 mhopf@suse.de
- Fixed uninitialized mode list return in walkthrough (Bug #243540).
* Tue Apr 17 2007 sndirsch@suse.de
- redefined ATI_NAME for "atiwcpio" driver as well (Bug #243074,
  comment #26)
* Fri Apr  6 2007 sndirsch@suse.de
- added additional "wcpio" ATI drivers required for some IA64
  machines (L3 Bug #243074)
* Fri Jan 12 2007 sndirsch@suse.de
- fixed typo (MGAG200SEHWSaveMode --> MGAG200SESaveMode) in
  mga-g200se_pci-misaligned.diff (Bug #234010)
* Mon Dec  4 2006 sndirsch@suse.de
- mga-g200se_pci-misaligned.diff:
  * fixed system freeze on G200 SE controllers caused by misaligned
    PCI access (Bug #210259, Matrox)
- mga-g200se_pcie-disable-mtrr.diff:
  * disable mtrr support on pcie cards (Matrox)
* Mon Sep 18 2006 sndirsch@suse.de
- radeon_rn50_memmap.diff/radeon_rn50_memmap-sle10.diff:
  * This should fixup the rn50/m6/m7 memory map problem that has
    been reported since BenH's memory mapping changes (Bug #204882)
* Tue Sep  5 2006 sndirsch@suse.de
- fixed atiold/ati10b driver, which tried to load "atimisc" instead
  of "atimiscold"/"atimisc10b" submodule, which fails because of
  version conflicts
* Wed Jun 28 2006 sndirsch@suse.de
- fixed Xserver crash with MGA G200 SE GPUs on i386 by disabling
  the use of Hallib (Blocker Bug #187708)
* Sat Jun 17 2006 sndirsch@suse.de
- nv-060616.diff:
  * New chip support for NVIDIA devices (Bug #186055)
* Thu Jun  1 2006 sndirsch@suse.de
- mga-g200se_pci-fix.diff:
  * hopefully remaining issues for G200_SE fixed (Bug #159815)
* Tue May 30 2006 sndirsch@suse.de
- added alternative i810 driver (Bug #179773)
* Tue May 23 2006 sndirsch@suse.de
- no longer remove NVIDIA driver in %%pre of
  xorg-x11-driver-video-nvidia; it no longer conflicts with NVIDIA
  driver package (Bug #175683)
* Mon May 15 2006 sndirsch@suse.de
- rn50_disable-render-accel.diff:
  * disables RenderAccel on RN 50 (Bug #175564)
* Wed May 10 2006 sndirsch@suse.de
- radeon_bios.diff:
  * fixed Radeon 7000 BIOS problem (Bug #173936, X.Org Bug #6872)
* Wed Apr 26 2006 sndirsch@suse.de
- nv-060426.diff:
  * added support for Quadro FX 5500, 3500, 1500, 560, and 550.
* Tue Apr 25 2006 sndirsch@suse.de
- updated ati-1_0_branch (2006-04-25)
  * Fix enabling of external VGA output on some cards with dual
    entity setup instead of MergedFB. This was broken due to bogus
    manipulations of a register between the 2 entities. This fix is
    a big "violent" in that it always enables the analog output
    regardless of what is plugged. It should work though (at the
    expense of some additional power consumption). A proper fix
    should be easy to do once Alex gets his output mapping rework
    in. (Benjamin Herrenschmidt)
* Fri Apr 21 2006 sndirsch@suse.de
- updated ati-1_0_branch (2006-04-21)
  * Add support for backing up the PCIE GART table on VT switch.
    This makes suspend/resume work a lot better on PCIE cards.
  * X.Org Bug 6672: fix interrupts on radeon since memmap changes
* Sun Apr  2 2006 sndirsch@suse.de
- mga-g200se_pci.diff:
  * Coverity #92: Eliminate a dead code path. (Adam Jackson)
  * Coverity #1009: Check for NULL first before assigning to
    pMGADRI. (Adam Jackson)
  * X.Org Bug #5587: Refactor mga_storm.c to only build once for all
    color depths. (Ian Romanick)
  * X.Org Bug #6328, Bug #159815:
    Add support for Matrox G200SE chips. (Matrox)
* Thu Mar 30 2006 sndirsch@suse.de
- fixed radeon_dell.diff (Bug #138458, comment #52)
* Tue Mar 28 2006 sndirsch@suse.de
- xorg-x11-ati-1_0_branch-060327.diff
  * fixed loading of DRM module
* Mon Mar 27 2006 sndirsch@suse.de
- rn50_init_crtc_regs.diff:
  * enables VGA rear output on Dell machines (Bug #147070)
* Mon Mar 27 2006 sndirsch@suse.de
- added ati-1_0_branch (2006-03-27) ati/atimisc/r128/radeon drivers
  set ("ati10b/atimisc10b/r12810b/radeon10b")
* Thu Mar 16 2006 sndirsch@suse.de
- updated ast driver (Bug #157879, X.Org #4937)
  * Fixed Line Draw Incorrect Issue
* Tue Mar 14 2006 sndirsch@suse.de
- updated ast driver (Bug #157879, X.Org #4937)
  * fixed MMIO mode issue; display abnormal if set 2D acceleration
    option as MMIO mode
* Fri Mar 10 2006 sndirsch@suse.de
- nv-coverity-868_869.diff:
  * Coverity nos. 868 and 869: Free the result of xf86GetEntityInfo
* Mon Mar  6 2006 sndirsch@suse.de
- radeon-xrandr-dotclock.diff:
  * fixes dotclock in xrandr output on mergedfb configurations
    (Bug #135749)
* Wed Feb 22 2006 sndirsch@suse.de
- disabled xf86-video-ati-disable-mc-clients.diff, since this patch
  has broken IBM T41p support again completely (Bug #152473)
* Tue Feb 21 2006 sndirsch@suse.de
- radeon_dell.diff:
  * another Dell related workaround (Bug #138458, Comment #23)
* Fri Feb 17 2006 sndirsch@suse.de
- p_mga.diff:
  * fixes graphics corruption on Mystique revision 2 (Bug #151306)
- xf86-video-ati-disable-mc-clients.diff:
  * fixes video corruption on ATI ES1000 (Bug #151631)
* Fri Feb 17 2006 sndirsch@suse.de
- rn50-pixelclock-limit.diff:
  * Limit pixel clock to model memory bandwidth limits
    (Bug #139361, X.Org Bug #5766)
* Thu Feb 16 2006 sndirsch@suse.de
- radeon-memmap-7.0-3.diff:
  * obsoletes p_radeon-memmap.diff/p_radeon-memmap-fix.diff
    (Bug #150146)
* Thu Feb 16 2006 sndirsch@suse.de
- avoid_random_bogus_dma.diff:
  * avoids random bugs bugs (Bug #140420, comments #45/46/47/48)
  * obsoletes r300-sn2-piowrite_v7.diff
  * this also happened on non-ia64 machines, so apply it everywhere
* Wed Feb 15 2006 sndirsch@suse.de
- p_bug148696.diff:
  * fixes regression bug #148696 (IA64 related)
* Wed Feb  8 2006 sndirsch@suse.de
- enable preprocessing of manual pages (Bug #148473)
* Mon Feb  6 2006 sndirsch@suse.de
- switched back to old radeon fixes by Benjamin Herrenschmidt
  (Bug #127757, Bug #147608)
  radeon-memmap-7.0-2.diff --> p_radeon-memmap.diff/
    p_radeon-memmap-fix.diff
* Mon Feb  6 2006 sndirsch@suse.de
- updated ast driver (Bug #148315, X.Org #4937)
  * Fixed get video buffer size incorrect issue
* Thu Feb  2 2006 sndirsch@suse.de
- r300-sn2-piowrite_v7.diff (only applied on IA64)
  * obsoletes disabled r300-sn2-piowrite.diff (Bug #140420,
    comment #36)
- disabled radeon-memmap-7.0-2.diff on IA64; probably this one has
  broken some things on this platform
* Wed Feb  1 2006 sndirsch@suse.de
- radeon-memmap-7.0-2.diff:
  * disabled debug info
* Wed Feb  1 2006 schwab@suse.de
- Disable r300-sn2-piowrite.diff [#147178].
* Tue Jan 31 2006 sndirsch@suse.de
- downgraded to HALlib 4.1 (Bug #144618)
* Mon Jan 30 2006 sndirsch@suse.de
- r300-sn2-piowrite.diff:
  * obsoletes r300-idle.diff (Bug #140420)
* Fri Jan 27 2006 sndirsch@suse.de
- radeon-memmap-7.0-2.diff (http://gate.crashing.org/~benh/)
  * obsoletes p_radeon-memmap.diff/p_radeon-memmap-fix.diff
    (Bug #127757)
* Fri Jan 27 2006 sndirsch@suse.de
- r300-idle.diff:
  * prevents PIO write timeout (Bug #140420)
* Fri Jan 27 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 24 2006 sndirsch@suse.de
- fixed typo in nv-060122.diff
* Mon Jan 23 2006 sndirsch@suse.de
- p_radeon-memmap.diff:
  * disabled debug info
* Mon Jan 23 2006 sndirsch@suse.de
- nv-060122.diff:
  * New chip support from Mark Vojkovich's 2006-01-20/2006-01-21
    XFree86 CVS updates (GF 6XXX: C51, GF 7XXX: G71/G72/G73)
* Sun Jan 22 2006 sndirsch@suse.de
- xorg-x11-driver-video-nvidia:
  * added requires to xorg-x11-driver-video (Bug #144650)
* Fri Jan 20 2006 sndirsch@suse.de
- i810_945GM.patch:
  * 945GM support by Alan Hourihane & Charles Johnson (FATE #151391)
* Thu Jan  5 2006 sndirsch@suse.de
- updated ast driver (Bug #141550, X.Org #4937)
  * fixed XAACOPYROP reference
* Tue Jan  3 2006 sndirsch@suse.de
- p_radeon-memmap.diff/p_radeon-memmap-fix.diff:
  * radeon memory map fix by Benjamin Herrenschmidt (adjusted to our
    sources by dmueller); see
    http://lists.freedesktop.org/archives/xorg/2005-December/011678.html
    for details. This fixes Bug #127757 for dmueller (at least).
* Thu Dec 22 2005 sndirsch@suse.de
- updated to X.Org 6.9.0
  * only changes in documentation
* Fri Dec 16 2005 sndirsch@suse.de
- updated to X.Org 6.9 RC4
* Wed Dec 14 2005 sndirsch@suse.de
- added radeonold driver (#127757)
* Wed Dec 14 2005 sndirsch@suse.de
- added missing driver manual pages
* Fri Dec  9 2005 sndirsch@suse.de
- updated ast driver (X.Org #4937)
* Sun Dec  4 2005 sndirsch@suse.de
- updated to X.Org 6.9 RC3
* Fri Dec  2 2005 sndirsch@suse.de
- enabled build of i810 driver (#130718)
- strip modules
* Thu Dec  1 2005 sndirsch@suse.de
- updated drivers to current CVS (2005-12-01)
* Sun Nov 27 2005 sndirsch@suse.de
- prepared going back to ati/r128/radeon driver of 10.0
* Sun Nov 27 2005 sndirsch@suse.de
- added build of ati, mga, nv, via and sis driver
* Thu Nov 24 2005 sndirsch@suse.de
- added ast driver for ASpeed Tech. AST2000 (XFree86 Bug #1628)
- disabled build of other video drivers
* Tue Nov 15 2005 sndirsch@suse.de
- update to X.Org 6.9 RC2
- added "-fno-strict-aliasing" compiler flag
* Wed Nov  2 2005 sndirsch@suse.de
- update to current X.Org CVS (2005-11-02)
* Sun Oct 23 2005 sndirsch@suse.de
- fixed provides of xorg-x11-driver-video-nvidia
  * XFree86-server:...  --> XFree86-server-glx:...
  * xorg-x11-server:... --> xorg-x11-server-glx:...
* Fri Oct 21 2005 sndirsch@suse.de
- created package
